skip to navigation
skip to content

scidb-py 14.7.0

Python wrappers for SciDB

Latest Version: 14.10.0

SciDB-py is a full-featuered Python interface to SciDB. Its goal is to allow users to utilize the power of SciDB from Python, using a familiar and intuitive numpy-like syntax. For more information, see the SciDB Documentation.


SciDB-Py requires a working SciDB installation, as well as a Shim network interface connected to the instance. It requires Python 2.6-2.7 or 3.3.

Package Dependencies

SciDB-Py has several Python package dependencies:

tested with version 1.7.
tested with version 1.2. (Note: known failures exist when used with requests version < 1.0) Required for using the Shim interface to SciDB.
Pandas (optional)
tested with version 0.10. Required only for importing/exporting SciDB arrays as Pandas Dataframe objects.
SciPy (optional)
tested with versions 0.10-0.12. Required only for importing/exporting SciDB arrays as SciPy sparse matrices.

Test Dependencies

Required for some tests


For full installation information, please see the Documentation.

To install the latest stable release via the Python Package Index, use ` pip install scidb-py `

To download the source code for the 14.7 release, change ‘branch:master’ to ‘tag:v14.7.0’ and then click ‘download’, or directly download from

To install from source after downloading, type ` python install `

Depending on how your Python installation is set up, you may need root privileges for this.


This work has been supported by NSF Grant number 1226371 and by Paradigm4.

File Type Py Version Uploaded on Size
scidb-py-14.7.0.tar.gz (md5) Source 2014-08-04 1MB
  • Downloads (All Versions):
  • 21 downloads in the last day
  • 116 downloads in the last week
  • 659 downloads in the last month